#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "list.h"
#include "info.h"

#define VERSION "0.0"

#include <getopt.h>

int
main (int argc, char **argv)
{
  int c;
  int screen_width, screen_height;
  int out_width, out_height;
  FILE *fi = stdin;

  screen_width = 80;		/* these need to be read, not guessed */
  screen_height = 25;

  while ((c = getopt (argc, argv, "hvc:e:r:")) != EOF)
    switch (c)
      {
      case 'h':
	show_help (argv[0]);
	exit (0);
      case 'v':
	show_ver (argv[0], VERSION);
	exit (0);
      case 'c':
	screen_width = atoi (optarg);
	break;
      case 'r':
	screen_height = atoi (optarg);
	break;
      case 'e':		/* execute optarg... */
	break;
      }
  build_list (fi);

  out_width = get_out_width ();
  out_height = get_out_height ();

  for (c = 0; c < ((screen_height - out_height) / 2); c++)
    printf ("\n");

  while (more_lines () != 0)
    {
      for (c = 0; c < ((screen_width - out_width) / 2); c++)
	printf (" ");
      printf ("%s", show_line ());
      advance_line ();
    }
  for (c = 0; c < ((screen_height - out_height) / 2); c++)
    printf ("\n");


  empty_list ();
  return 0;
}
